Name:          TGAImagePlugin
Version:       0
Release:       %mkrel 1
Summary:       ImageIO TGA plugin
Group:         Development/Java
License:       MIT
Url:           http://sourceforge.net/projects/jpspj/
# svn co https://jpspj.svn.sourceforge.net/svnroot/jpspj/TGAImagePlugin
# tar czf TGAImagePlugin-20111030-src-svn.tar.gz TGAImagePlugin
Source0:       TGAImagePlugin-20111030-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
ImageIO plugin to read/write tga files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n TGAImagePlugin

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

for s in $(find . -name "*.svn"); do
	rm -rf $s
done

%build

ant jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{name}.jar \
	%{buildroot}%{_javadir}/tgaimageplugin.jar

(
	cd %{buildroot}%{_javadir}
	ln -sf tgaimageplugin.jar %{buildroot}%{_javadir}/%{name}.jar
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/tgaimageplugin.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 01 2011 gil <gil> 0-1.mga2
+ Revision: 160718
- imported package TGAImagePlugin

